## mopidy-beets 1.1.0

=== Makefile ===
.PHONY: clean-pyc clean-build docs

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "test - run tests quickly with the default Python"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	flake8 mopidy_beets -v --count --show-source

test: lint

release: clean
	python setup.py sdist upload

sdist: clean
	python setup.py sdist
	ls -l dist

## mopidy-beets 1.0.4

=== debian/changelog ===
mopidy-beets (1.0.4-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.5.
  * Update copyright years.
  * Upload to unstable.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 11 Jan 2014 22:41:39 +0100

mopidy-beets (1.0.4-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Remove XS-Python-Version from debian/control.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 15 Dec 2013 20:47:39 +0100

mopidy-beets (1.0.3-0mopidy2) unstable; urgency=low

  * Switch from mopidy-beets.pydist to pydist-overrides for compatibility with
    wheezy.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 03 Nov 2013 22:32:17 +0100

mopidy-beets (1.0.3-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Set python_distutils as build system to avoid use of Makefile.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 02 Nov 2013 23:20:57 +0100

mopidy-beets (1.0.2-0mopidy2) unstable; urgency=low

  * Add python-setuptools to Build-Depends.
  * Convert from python-support to dh_python2.
  * Install as a private module.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 02 Nov 2013 21:28:07 +0100

mopidy-beets (1.0.2-0mopidy1) unstable; urgency=low

  * Initial release

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 28 Oct 2013 21:26:43 +0100

=== debian/control ===
Source: mopidy-beets
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.7), python-setuptools
Standards-Version: 3.9.5
Homepage: http://www.mopidy.com/
Vcs-Git: git://github.com/mopidy/mopidy-beets.git
Vcs-Browser: https://github.com/mopidy/mopidy-beets
X-Python-Version: >= 2.7
X-Python3-Version: << 3

Package: mopidy-beets
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Suggests: beets
Description: Mopidy extension for playing music from Beets' web plugin
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for playing music from the web
 plugin of the Beets music library organizer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build:

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb --install-lib=/usr/share/mopidy --install-scripts=/usr/share/mopidy

override_dh_python2:
	dh_python2
	dh_python2 usr/share/mopidy

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/M/Mopidy-Beets/Mopidy-Beets-(.*)\.tar\.gz

## mopidy-beets 1.1.0

=== debian/changelog ===
mopidy-beets (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 22 Jan 2014 21:49:38 +0100

## mopidy-beets 2.0.0

=== debian/changelog ===
mopidy-beets (2.0.0-2) unstable; urgency=medium

  * Build-Depend on mopidy, so it doesn't have to be included in
    pydist-overrides.
  * Build-Depend on debhelper 9.
  * Switch build system to pybuild.
  * Run tests as part of build.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 18 Aug 2015 13:59:44 +0200

mopidy-beets (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * Update copyright years.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 27 Mar 2015 13:12:46 +0100

=== debian/control ===
Source: mopidy-beets
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends: debhelper (>= 9),
               dh-python,
               mopidy (>= 1.0.8-2),
               python (>= 2.7),
               python-mock,
               python-pytest,
               python-setuptools,
Standards-Version: 3.9.6
Homepage: http://www.mopidy.com/
Vcs-Git: git://github.com/mopidy/mopidy-beets.git
Vcs-Browser: https://github.com/mopidy/mopidy-beets
X-Python-Version: >= 2.7

Package: mopidy-beets
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Suggests: beets,
Description: Mopidy extension for playing music from Beets' web plugin
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for playing music from the web
 plugin of the Beets music library organizer.

## mopidy-beets 3.0.0

=== debian/changelog ===
mopidy-beets (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Migrate to git-dpm, remove gbp config
  * debian/clean
    - Clean .cache/
  * debian/control
    - Update Homepage
    - Update Vcs-Git and Vcs-Browser to point to Alioth
    - Update my email address
    - Bump Standards-Version to 3.9.8, no changes required
  * debian/copyright
    - Add new upstream author
    - Update copyright years
    - Update my email address

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 09 Aug 2016 23:58:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mopidy-beets
 Section: sound
 Priority: optional
-Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
+Maintainer: Stein Magnus Jodal <jodal@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                mopidy (>= 1.0.8-2),
-               python (>= 2.7),
+               python,
                python-mock,
                python-pytest,
                python-setuptools,
-Standards-Version: 3.9.6
-Homepage: http://www.mopidy.com/
-Vcs-Git: git://github.com/mopidy/mopidy-beets.git
-Vcs-Browser: https://github.com/mopidy/mopidy-beets
+Standards-Version: 3.9.8
+Homepage: https://github.com/mopidy/mopidy-beets
+Vcs-Git: https://anonscm.debian.org/git/pkg-mopidy/mopidy-beets.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mopidy/mopidy-beets.git
 X-Python-Version: >= 2.7
 
 Package: mopidy-beets

## mopidy-beets 3.1.0

=== debian/changelog ===
mopidy-beets (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.1.4, no changes required
    - Set Vcs-* to salsa.debian.org
    - Require debhelper 10
  * debian/copyright
    - Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 15 Apr 2018 01:49:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: Stein Magnus Jodal <jodal@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                mopidy (>= 1.0.8-2),
                python,
                python-mock,
                python-pytest,
                python-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/mopidy/mopidy-beets
-Vcs-Git: https://anonscm.debian.org/git/pkg-mopidy/mopidy-beets.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mopidy/mopidy-beets.git
+Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-beets.git
+Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-beets
 X-Python-Version: >= 2.7
 
 Package: mopidy-beets

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Mopidy-Beets/Mopidy-Beets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mopidy-beets 4.0.0~rc2

=== debian/changelog ===
mopidy-beets (4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * Switch from Python 2 to 3 (Closes: #937071)
  * Disable tests because of pkg_resurces usage
  * Bump debhelper from 10 to 12
  * d/clean: Remove custom clean rules
  * d/control: Bump Standards-Version to 4.4.1, no changes
  * d/control: Require mopidy >= 3
  * d/control: Update Description
  * d/copyright: Update copyright years
  * d/copyright: Use HTTPS for the copyright spec
  * d/rules: Install changelog

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 27 Dec 2019 21:18:31 +0100

=== debian/control ===
Source: mopidy-beets
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               mopidy (>= 3),
               python3,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/mopidy/mopidy-beets
Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-beets.git
Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-beets

Package: mopidy-beets
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: beets,
Description: Mopidy extension for playing music from Beets' web plugin
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension for playing music from the web
 plugin of the Beets music library organizer.

## mopidy-beets 4.0.0

=== debian/changelog ===
mopidy-beets (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.5.0, no changes

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 16 Mar 2020 09:29:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                mopidy (>= 3),
                python3,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/mopidy/mopidy-beets
 Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-beets.git
 Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-beets

## mopidy-beets 4.0.1

=== debian/changelog ===
mopidy-beets (4.0.1-2) unstable; urgency=medium

  * Team Upload
  * Patch-out pkg_resources (Closes: #1083487)
  * Add debian/salsa-ci.yml
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rename file under debian/ for debhelper 14/15 compat
  * Bump debhelper-compat from 12 to 13

  [ Stein Magnus Jodal ]
  * Move package to Debian Python Team
  * d/watch: Use Pypi template

 -- Alexandre Detiste <tchet@debian.org>  Fri, 30 Jan 2026 21:31:50 +0100

mopidy-beets (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Use HTTPS
  * d/control: Set Rules-Requires-Root to no
  * d/upstream: Add metadata file
  * d/rules: Remove changelog override

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 26 Dec 2020 16:49:44 +0100

=== debian/control ===
Source: mopidy-beets
Section: sound
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stein Magnus Jodal <jodal@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mopidy (>= 3),
 python3,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: https://github.com/mopidy/mopidy-beets
Vcs-Git: https://salsa.debian.org/python-team/packages/mopidy-beets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mopidy-beets

Package: mopidy-beets
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 beets,
Description: Mopidy extension for playing music from Beets' web plugin
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension for playing music from the web
 plugin of the Beets music library organizer.

=== debian/watch ===
Version: 5

Template: Pypi
Dist: mopidy_beets
